- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# screensaver.h

    00001 /*
    00002  * This file generated automatically from screensaver.xml by c_client.py.
    00003  * Edit at your peril.
    00004  */
    00005
    00012 #ifndef __SCREENSAVER_H
    00013 #define __SCREENSAVER_H
    00014
    00015 #include "xcb.h"
    00016 #include "xproto.h"
    00017
    00018 #ifdef __cplusplus
    00019 extern "C" {
    00020 #endif
    00021
    00022 #define XCB_SCREENSAVER_MAJOR_VERSION 1
    00023 #define XCB_SCREENSAVER_MINOR_VERSION 1
    00024
    00025 extern xcb_extension_t xcb_screensaver_id;
    00026
    00027 typedef enum xcb_screensaver_kind_t {
    00028     XCB_SCREENSAVER_KIND_BLANKED,
    00029     XCB_SCREENSAVER_KIND_INTERNAL,
    00030     XCB_SCREENSAVER_KIND_EXTERNAL
    00031 } xcb_screensaver_kind_t;
    00032
    00033 typedef enum xcb_screensaver_event_t {
    00034     XCB_SCREENSAVER_EVENT_NOTIFY_MASK = 1,
    00035     XCB_SCREENSAVER_EVENT_CYCLE_MASK = 2
    00036 } xcb_screensaver_event_t;
    00037
    00038 typedef enum xcb_screensaver_state_t {
    00039     XCB_SCREENSAVER_STATE_OFF,
    00040     XCB_SCREENSAVER_STATE_ON,
    00041     XCB_SCREENSAVER_STATE_CYCLE,
    00042     XCB_SCREENSAVER_STATE_DISABLED
    00043 } xcb_screensaver_state_t;
    00044
    00048 typedef struct xcb_screensaver_query_version_cookie_t {
    00049     unsigned int sequence;
    00050 } xcb_screensaver_query_version_cookie_t;
    00051
    00053 #define XCB_SCREENSAVER_QUERY_VERSION 0
    00054
    00058 typedef struct xcb_screensaver_query_version_request_t {
    00059     uint8_t  major_opcode;
    00060     uint8_t  minor_opcode;
    00061     uint16_t length;
    00062     uint8_t  client_major_version;
    00063     uint8_t  client_minor_version;
    00064     uint8_t  pad0[2];
    00065 } xcb_screensaver_query_version_request_t;
    00066
    00070 typedef struct xcb_screensaver_query_version_reply_t {
    00071     uint8_t  response_type;
    00072     uint8_t  pad0;
    00073     uint16_t sequence;
    00074     uint32_t length;
    00075     uint16_t server_major_version;
    00076     uint16_t server_minor_version;
    00077     uint8_t  pad1[20];
    00078 } xcb_screensaver_query_version_reply_t;
    00079
    00083 typedef struct xcb_screensaver_query_info_cookie_t {
    00084     unsigned int sequence;
    00085 } xcb_screensaver_query_info_cookie_t;
    00086
    00088 #define XCB_SCREENSAVER_QUERY_INFO 1
    00089
    00093 typedef struct xcb_screensaver_query_info_request_t {
    00094     uint8_t        major_opcode;
    00095     uint8_t        minor_opcode;
    00096     uint16_t       length;
    00097     xcb_drawable_t drawable;
    00098 } xcb_screensaver_query_info_request_t;
    00099
    00103 typedef struct xcb_screensaver_query_info_reply_t {
    00104     uint8_t      response_type;
    00105     uint8_t      state;
    00106     uint16_t     sequence;
    00107     uint32_t     length;
    00108     xcb_window_t saver_window;
    00109     uint32_t     ms_until_server;
    00110     uint32_t     ms_since_user_input;
    00111     uint32_t     event_mask;
    00112     uint8_t      kind;
    00113     uint8_t      pad0[7];
    00114 } xcb_screensaver_query_info_reply_t;
    00115
    00117 #define XCB_SCREENSAVER_SELECT_INPUT 2
    00118
    00122 typedef struct xcb_screensaver_select_input_request_t {
    00123     uint8_t        major_opcode;
    00124     uint8_t        minor_opcode;
    00125     uint16_t       length;
    00126     xcb_drawable_t drawable;
    00127     uint32_t       event_mask;
    00128 } xcb_screensaver_select_input_request_t;
    00129
    00131 #define XCB_SCREENSAVER_SET_ATTRIBUTES 3
    00132
    00136 typedef struct xcb_screensaver_set_attributes_request_t {
    00137     uint8_t        major_opcode;
    00138     uint8_t        minor_opcode;
    00139     uint16_t       length;
    00140     xcb_drawable_t drawable;
    00141     int16_t        x;
    00142     int16_t        y;
    00143     uint16_t       width;
    00144     uint16_t       height;
    00145     uint16_t       border_width;
    00146     uint8_t        _class;
    00147     uint8_t        depth;
    00148     xcb_visualid_t visual;
    00149     uint32_t       value_mask;
    00150 } xcb_screensaver_set_attributes_request_t;
    00151
    00153 #define XCB_SCREENSAVER_UNSET_ATTRIBUTES 4
    00154
    00158 typedef struct xcb_screensaver_unset_attributes_request_t {
    00159     uint8_t        major_opcode;
    00160     uint8_t        minor_opcode;
    00161     uint16_t       length;
    00162     xcb_drawable_t drawable;
    00163 } xcb_screensaver_unset_attributes_request_t;
    00164
    00166 #define XCB_SCREENSAVER_SUSPEND 5
    00167
    00171 typedef struct xcb_screensaver_suspend_request_t {
    00172     uint8_t  major_opcode;
    00173     uint8_t  minor_opcode;
    00174     uint16_t length;
    00175     uint8_t  suspend;
    00176     uint8_t  pad0[3];
    00177 } xcb_screensaver_suspend_request_t;
    00178
    00180 #define XCB_SCREENSAVER_NOTIFY 0
    00181
    00185 typedef struct xcb_screensaver_notify_event_t {
    00186     uint8_t         response_type;
    00187     uint8_t         code;
    00188     uint16_t        sequence;
    00189     uint8_t         state;
    00190     uint8_t         pad0;
    00191     uint16_t        sequence_number;
    00192     xcb_timestamp_t time;
    00193     xcb_window_t    root;
    00194     xcb_window_t    window;
    00195     uint8_t         kind;
    00196     uint8_t         forced;
    00197     uint8_t         pad1[14];
    00198 } xcb_screensaver_notify_event_t;
    00199
    00209 /*****************************************************************************
    00210  **
    00211  ** xcb_screensaver_query_version_cookie_t xcb_screensaver_query_version
    00212  **
    00213  ** @param xcb_connection_t *c
    00214  ** @param uint8_t           client_major_version
    00215  ** @param uint8_t           client_minor_version
    00216  ** @returns xcb_screensaver_query_version_cookie_t
    00217  **
    00218  *****************************************************************************/
    00219
    00220 xcb_screensaver_query_version_cookie_t
    00221 xcb_screensaver_query_version (xcb_connection_t *c  ,
    00222                                uint8_t           client_major_version  ,
    00223                                uint8_t           client_minor_version  );
    00224
    00237 /*****************************************************************************
    00238  **
    00239  ** xcb_screensaver_query_version_cookie_t xcb_screensaver_query_version_unchecked
    00240  **
    00241  ** @param xcb_connection_t *c
    00242  ** @param uint8_t           client_major_version
    00243  ** @param uint8_t           client_minor_version
    00244  ** @returns xcb_screensaver_query_version_cookie_t
    00245  **
    00246  *****************************************************************************/
    00247
    00248 xcb_screensaver_query_version_cookie_t
    00249 xcb_screensaver_query_version_unchecked (xcb_connection_t *c  ,
    00250                                          uint8_t           client_major_version  ,
    00251                                          uint8_t           client_minor_version  );
    00252
    00268 /*****************************************************************************
    00269  **
    00270  ** xcb_screensaver_query_version_reply_t * xcb_screensaver_query_version_reply
    00271  **
    00272  ** @param xcb_connection_t                        *c
    00273  ** @param xcb_screensaver_query_version_cookie_t   cookie
    00274  ** @param xcb_generic_error_t                    **e
    00275  ** @returns xcb_screensaver_query_version_reply_t *
    00276  **
    00277  *****************************************************************************/
    00278
    00279 xcb_screensaver_query_version_reply_t *
    00280 xcb_screensaver_query_version_reply (xcb_connection_t                        *c  ,
    00281                                      xcb_screensaver_query_version_cookie_t   cookie  ,
    00282                                      xcb_generic_error_t                    **e  );
    00283
    00293 /*****************************************************************************
    00294  **
    00295  ** xcb_screensaver_query_info_cookie_t xcb_screensaver_query_info
    00296  **
    00297  ** @param xcb_connection_t *c
    00298  ** @param xcb_drawable_t    drawable
    00299  ** @returns xcb_screensaver_query_info_cookie_t
    00300  **
    00301  *****************************************************************************/
    00302
    00303 xcb_screensaver_query_info_cookie_t
    00304 xcb_screensaver_query_info (xcb_connection_t *c  ,
    00305                             xcb_drawable_t    drawable  );
    00306
    00319 /*****************************************************************************
    00320  **
    00321  ** xcb_screensaver_query_info_cookie_t xcb_screensaver_query_info_unchecked
    00322  **
    00323  ** @param xcb_connection_t *c
    00324  ** @param xcb_drawable_t    drawable
    00325  ** @returns xcb_screensaver_query_info_cookie_t
    00326  **
    00327  *****************************************************************************/
    00328
    00329 xcb_screensaver_query_info_cookie_t
    00330 xcb_screensaver_query_info_unchecked (xcb_connection_t *c  ,
    00331                                       xcb_drawable_t    drawable  );
    00332
    00348 /*****************************************************************************
    00349  **
    00350  ** xcb_screensaver_query_info_reply_t * xcb_screensaver_query_info_reply
    00351  **
    00352  ** @param xcb_connection_t                     *c
    00353  ** @param xcb_screensaver_query_info_cookie_t   cookie
    00354  ** @param xcb_generic_error_t                 **e
    00355  ** @returns xcb_screensaver_query_info_reply_t *
    00356  **
    00357  *****************************************************************************/
    00358
    00359 xcb_screensaver_query_info_reply_t *
    00360 xcb_screensaver_query_info_reply (xcb_connection_t                     *c  ,
    00361                                   xcb_screensaver_query_info_cookie_t   cookie  ,
    00362                                   xcb_generic_error_t                 **e  );
    00363
    00376 /*****************************************************************************
    00377  **
    00378  ** xcb_void_cookie_t xcb_screensaver_select_input_checked
    00379  **
    00380  ** @param xcb_connection_t *c
    00381  ** @param xcb_drawable_t    drawable
    00382  ** @param uint32_t          event_mask
    00383  ** @returns xcb_void_cookie_t
    00384  **
    00385  *****************************************************************************/
    00386
    00387 xcb_void_cookie_t
    00388 xcb_screensaver_select_input_checked (xcb_connection_t *c  ,
    00389                                       xcb_drawable_t    drawable  ,
    00390                                       uint32_t          event_mask  );
    00391
    00401 /*****************************************************************************
    00402  **
    00403  ** xcb_void_cookie_t xcb_screensaver_select_input
    00404  **
    00405  ** @param xcb_connection_t *c
    00406  ** @param xcb_drawable_t    drawable
    00407  ** @param uint32_t          event_mask
    00408  ** @returns xcb_void_cookie_t
    00409  **
    00410  *****************************************************************************/
    00411
    00412 xcb_void_cookie_t
    00413 xcb_screensaver_select_input (xcb_connection_t *c  ,
    00414                               xcb_drawable_t    drawable  ,
    00415                               uint32_t          event_mask  );
    00416
    00429 /*****************************************************************************
    00430  **
    00431  ** xcb_void_cookie_t xcb_screensaver_set_attributes_checked
    00432  **
    00433  ** @param xcb_connection_t *c
    00434  ** @param xcb_drawable_t    drawable
    00435  ** @param int16_t           x
    00436  ** @param int16_t           y
    00437  ** @param uint16_t          width
    00438  ** @param uint16_t          height
    00439  ** @param uint16_t          border_width
    00440  ** @param uint8_t           _class
    00441  ** @param uint8_t           depth
    00442  ** @param xcb_visualid_t    visual
    00443  ** @param uint32_t          value_mask
    00444  ** @param const uint32_t   *value_list
    00445  ** @returns xcb_void_cookie_t
    00446  **
    00447  *****************************************************************************/
    00448
    00449 xcb_void_cookie_t
    00450 xcb_screensaver_set_attributes_checked (xcb_connection_t *c  ,
    00451                                         xcb_drawable_t    drawable  ,
    00452                                         int16_t           x  ,
    00453                                         int16_t           y  ,
    00454                                         uint16_t          width  ,
    00455                                         uint16_t          height  ,
    00456                                         uint16_t          border_width  ,
    00457                                         uint8_t           _class  ,
    00458                                         uint8_t           depth  ,
    00459                                         xcb_visualid_t    visual  ,
    00460                                         uint32_t          value_mask  ,
    00461                                         const uint32_t   *value_list  );
    00462
    00472 /*****************************************************************************
    00473  **
    00474  ** xcb_void_cookie_t xcb_screensaver_set_attributes
    00475  **
    00476  ** @param xcb_connection_t *c
    00477  ** @param xcb_drawable_t    drawable
    00478  ** @param int16_t           x
    00479  ** @param int16_t           y
    00480  ** @param uint16_t          width
    00481  ** @param uint16_t          height
    00482  ** @param uint16_t          border_width
    00483  ** @param uint8_t           _class
    00484  ** @param uint8_t           depth
    00485  ** @param xcb_visualid_t    visual
    00486  ** @param uint32_t          value_mask
    00487  ** @param const uint32_t   *value_list
    00488  ** @returns xcb_void_cookie_t
    00489  **
    00490  *****************************************************************************/
    00491
    00492 xcb_void_cookie_t
    00493 xcb_screensaver_set_attributes (xcb_connection_t *c  ,
    00494                                 xcb_drawable_t    drawable  ,
    00495                                 int16_t           x  ,
    00496                                 int16_t           y  ,
    00497                                 uint16_t          width  ,
    00498                                 uint16_t          height  ,
    00499                                 uint16_t          border_width  ,
    00500                                 uint8_t           _class  ,
    00501                                 uint8_t           depth  ,
    00502                                 xcb_visualid_t    visual  ,
    00503                                 uint32_t          value_mask  ,
    00504                                 const uint32_t   *value_list  );
    00505
    00518 /*****************************************************************************
    00519  **
    00520  ** xcb_void_cookie_t xcb_screensaver_unset_attributes_checked
    00521  **
    00522  ** @param xcb_connection_t *c
    00523  ** @param xcb_drawable_t    drawable
    00524  ** @returns xcb_void_cookie_t
    00525  **
    00526  *****************************************************************************/
    00527
    00528 xcb_void_cookie_t
    00529 xcb_screensaver_unset_attributes_checked (xcb_connection_t *c  ,
    00530                                           xcb_drawable_t    drawable  );
    00531
    00541 /*****************************************************************************
    00542  **
    00543  ** xcb_void_cookie_t xcb_screensaver_unset_attributes
    00544  **
    00545  ** @param xcb_connection_t *c
    00546  ** @param xcb_drawable_t    drawable
    00547  ** @returns xcb_void_cookie_t
    00548  **
    00549  *****************************************************************************/
    00550
    00551 xcb_void_cookie_t
    00552 xcb_screensaver_unset_attributes (xcb_connection_t *c  ,
    00553                                   xcb_drawable_t    drawable  );
    00554
    00567 /*****************************************************************************
    00568  **
    00569  ** xcb_void_cookie_t xcb_screensaver_suspend_checked
    00570  **
    00571  ** @param xcb_connection_t *c
    00572  ** @param uint8_t           suspend
    00573  ** @returns xcb_void_cookie_t
    00574  **
    00575  *****************************************************************************/
    00576
    00577 xcb_void_cookie_t
    00578 xcb_screensaver_suspend_checked (xcb_connection_t *c  ,
    00579                                  uint8_t           suspend  );
    00580
    00590 /*****************************************************************************
    00591  **
    00592  ** xcb_void_cookie_t xcb_screensaver_suspend
    00593  **
    00594  ** @param xcb_connection_t *c
    00595  ** @param uint8_t           suspend
    00596  ** @returns xcb_void_cookie_t
    00597  **
    00598  *****************************************************************************/
    00599
    00600 xcb_void_cookie_t
    00601 xcb_screensaver_suspend (xcb_connection_t *c  ,
    00602                          uint8_t           suspend  );
    00603
    00604
    00605 #ifdef __cplusplus
    00606 }
    00607 #endif
    00608
    00609 #endif
    00610